← Back to team overview

group.of.nepali.translators team mailing list archive

[Bug 1991030] Re: [SRU] Rename ua status call on apt_check script

 

This bug was fixed in the package update-notifier - 3.192.58

---------------
update-notifier (3.192.58) kinetic; urgency=medium

  [ Lucas Albuquerque Medeiros de Moura ]
  * Change ua status to pro status (LP: #1991030)

 -- Andreas Hasenack <andreas@xxxxxxxxxxxxx>  Thu, 29 Sep 2022 17:10:58
-0300

** Changed in: update-notifier (Ubuntu Kinetic)
       Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of नेपाली
भाषा समायोजकहरुको समूह, which is subscribed to Xenial.
Matching subscriptions: Ubuntu 16.04 Bugs
https://bugs.launchpad.net/bugs/1991030

Title:
  [SRU] Rename ua status call on apt_check script

Status in update-notifier package in Ubuntu:
  Fix Released
Status in update-notifier source package in Xenial:
  Fix Committed
Status in update-notifier source package in Bionic:
  Fix Committed
Status in update-notifier source package in Focal:
  Fix Committed
Status in update-notifier source package in Jammy:
  Fix Committed
Status in update-notifier source package in Kinetic:
  Fix Released

Bug description:
  [Impact]
  There is an update on how we will output ua commands on the messages delivered by update-notifier.
  This will just instruct the user to use that new command instead

  [Test Case]
  To test this change, use the following script:

  ---------------------------------------------
  #!/bin/sh
  set -e

  GREEN="\e[32m"
  RED="\e[31m"
  BLUE="\e[36m"
  END_COLOR="\e[0m"

  series=$1
  token=$2
  name=$series-dev

  
  function cleanup {
    lxc delete test --force
  }

  function on_err {
    echo -e "${RED}Test Failed${END_COLOR}"
    cleanup
    exit 1
  }

  trap on_err ERR

  function print_and_run_cmd {
    echo -e "${BLUE}Running:${END_COLOR}" "$@"
    echo -e "${BLUE}Output:${END_COLOR}"
    lxc exec test -- sh -c "$@"
    echo
  }

  function explanatory_message {
    echo -e "${BLUE}$@${END_COLOR}"
  }

  explanatory_message "Starting $series container"
  lxc launch ubuntu-daily:$series test
  sleep 10

  explanatory_message "Update ubuntu-advantage-tools package"
  explanatory_message "We need that package to enable services that cause motd message changes"
  print_and_run_cmd "add-apt-repository ppa:ua-client/staging -y"
  print_and_run_cmd "sudo apt-get update > /dev/null"
  print_and_run_cmd "sudo apt-get install ubuntu-advantage-tools -y > /dev/null"
  print_and_run_cmd "ua version"

  explanatory_message "Update update-notifier package"
  print_and_run_cmd "sh -c 'echo \"deb http://archive.ubuntu.com/ubuntu $series-proposed main\" | tee /etc/apt/sources.list.d/proposed.list'"
  print_and_run_cmd "sudo apt-get update > /dev/null"
  print_and_run_cmd "sudo apt-get install update-notifier -y > /dev/null"
  print_and_run_cmd "apt-cache policy update-notifier"

  explanatory_message "Running update-motd for machine without an ua subscription"
  print_and_run_cmd "/usr/lib/update-notifier/apt-check --human-readable"

  explanatory_message "Attaching machine to a UA subscription"
  print_and_run_cmd "ua attach $token"

  explanatory_message "Running update-motd for attached machine"
  print_and_run_cmd "/usr/lib/update-notifier/apt-check --human-readable"

  explanatory_message "Installing all esm-infra packages"
  print_and_run_cmd "sudo apt-get upgrade -y > /dev/null"

  explanatory_message "Disabling esm-infra"
  print_and_run_cmd "sudo pro disable esm-infra"

  explanatory_message "Running update-motd for attached machine"
  print_and_run_cmd "/usr/lib/update-notifier/apt-check --human-readable"

  cleanup
  -----------------------------------------------------

  Notice that you need a UA token to run this script.
  Additionally, most messages will appear on the xenial machine due to it being ESM already

  [Regression Potential]
  We are just providing message changes, so the regression potential is really low. User might notice the changes, but they are not that different from the original ones.

  Like in bug 1980368, translatable strings are affected, but we accept
  them for the same reason as we did in that bug.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/1991030/+subscriptions